#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    string str;
    cin >> n;
    cin >> str;
    long long p = pow(3, 26);
    long long a = pow(10, 9);
    a += 7;
    long long aa = p % a;
    cout << aa;
}